Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.9.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.auth
Interface AuthorizationMapping

All Known Implementing Classes:
  DefaultAuthorizationMapping, LdapAuthorizationMapping

    public interface AuthorizationMapping

This is the interface the used to provide default defualt authorization ID's when none was selected by the client.

Users that wish to integrate with their own authorization system must implement this interface. Register the class with Openfire in the `openfire.xml` file. An entry in that file would look like the following:

       <provider>
         <authorizationMapping>
           <classlist>com.foo.auth.CustomProvider</classlist>
         </authorizationMapping>
       </provider>

Author:
  Jay Kline

Method Summary
`String` | `description()` Returns a description of the Policy
`String` | `map(String principal)` Returns true if the principal is explicity authorized to the JID
`String` | `name()` Returns the short name of the Policy

Method Detail

### map

    String map(String principal)

  Returns true if the principal is explicity authorized to the JID

  Parameters:
    `principal` - The autheticated principal requesting authorization.
  Returns:
    The name of the default username to use.

### name

    String name()

  Returns the short name of the Policy

  Returns:
    The short name of the Policy

### description

    String description()

  Returns a description of the Policy

  Returns:
    The description of the Policy.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.9.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.